## babeltrace2 2.0.3

=== debian/changelog ===
babeltrace2 (2.0.3-2) unstable; urgency=medium

  * [931ae23] Add patch for PATH_MAX on Hurd
  * Close ITP (Closes: #949765)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 23 Jun 2020 12:03:27 -0400

babeltrace2 (2.0.3-1) unstable; urgency=medium

  * [f3576c2] New upstream version 2.0.3

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 24 Apr 2020 11:48:02 -0400

babeltrace2 (2.0.1-2) unstable; urgency=medium

  * [ceeed4b] Python provider recommends the bindings
  * [a73e309] Disable -Werror
  * [07d5e67] Add detailed debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 10 Mar 2020 17:39:17 -0400

babeltrace2 (2.0.1-1) unstable; urgency=medium

  * [e448866] Add missing builddeps for patched manpages
  * [a907829] d/watch: update upstream tarbal name
  * [0a890fc] New upstream version 2.0.1
  * [fc65bae] Remove overrides for files deleted upstream
  * [9c6ce9e] Remove patch merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 04 Feb 2020 16:24:41 -0500

babeltrace2 (2.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #949765)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Nov 2019 15:51:11 -0500

## babeltrace2 2.0.4

=== tests/data/plugins/flt.lttng-utils.debug-info/Makefile ===
BUILD_ID_PREFIX=cd
BUILD_ID_SUFFIX=d98cdd87f7fe64c13b6daad553987eafd40cbb
BUILD_ID=$(BUILD_ID_PREFIX)$(BUILD_ID_SUFFIX)

BUILD_DIR ?= build

OBJS=$(BUILD_DIR)/dwarf_full/libhello_so \
     $(BUILD_DIR)/elf_only/libhello_so \
     $(BUILD_DIR)/build_id/libhello_so \
     $(BUILD_DIR)/debug_link/libhello_so

all: $(OBJS)

%.o: %.c
	$(CC) -gdwarf -fdebug-prefix-map=$(CURDIR)=. -fPIC -c -I. -o $@ $<

# Master copy: ELF with DWARF and build-id
$(BUILD_DIR)/dwarf_full/libhello_so: tp.o libhello.o
	mkdir -p $(@D)
	$(CC) -shared -gdwarf -llttng-ust -ldl -Wl,-soname,libhello.so -Wl,--build-id=0x$(BUILD_ID) -o $@ $^

# ELF only, no debug symbols, no build-d
$(BUILD_DIR)/elf_only/libhello_so: $(BUILD_DIR)/dwarf_full/libhello_so
	mkdir -p $(@D)
	objcopy -g $< $@.tmp
	objcopy --remove-section=.note.gnu.build-id $@.tmp
	mv $@.tmp $@

# ELF with external build-id DWARF
$(BUILD_DIR)/build_id/libhello_so: $(BUILD_DIR)/dwarf_full/libhello_so
	mkdir -p $(@D)/.build-id/$(BUILD_ID_PREFIX)
	objcopy --only-keep-debug $< $(@D)/.build-id/$(BUILD_ID_PREFIX)/$(BUILD_ID_SUFFIX).debug
	objcopy -g $< $@

# ELF with external debug link DWARF
$(BUILD_DIR)/debug_link/libhello_so: $(BUILD_DIR)/dwarf_full/libhello_so
	mkdir -p $(@D)
	objcopy --remove-section=.note.gnu.build-id $< $@.tmp
	objcopy --only-keep-debug $@.tmp $(@D)/libhello_so.debug
	objcopy -g $@.tmp
	cd $(@D) && objcopy --add-gnu-debuglink=libhello_so.debug $(@F).tmp
	mv $@.tmp $@

clean:
	rm -f *.o

dist-clean: clean
	rm -rf $(BUILD_DIR)

.PHONY: all clean dist-clean

=== debian/changelog ===
babeltrace2 (2.0.4-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:21 +0100

babeltrace2 (2.0.4-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:03:42 +0000

babeltrace2 (2.0.4-1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:55:52 +0000

babeltrace2 (2.0.4-1) unstable; urgency=medium

  * [c961595] New upstream version 2.0.4
  * [25b985b] Refresh patch for 2.0.4
  * [8723ee4] Add GNU Hurd support patches

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 24 Feb 2021 11:31:49 -0500

=== debian/control ===
Source: babeltrace2
Section: libs
Priority: optional
Maintainer: Michael Jeanson <mjeanson@debian.org>
Uploaders: Jon Bernard <jbernard@debian.org>
Rules-Requires-Root: no
Build-Depends:
 asciidoc,
 debhelper (>= 10~),
 dh-python,
 libdw-dev (>= 0.154),
 libelf-dev (>= 0.154),
 libglib2.0-dev (>= 2.28),
 python3-all-dev,
 swig (>= 3.0),
 xmlto
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/babeltrace2.git
Vcs-Browser: https://salsa.debian.org/debian/babeltrace2
Homepage: https://www.efficios.com/babeltrace

Package: babeltrace2
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Trace manipulation toolkit
 The Babeltrace 2 project offers a library with a C API, Python 3 bindings,
 and a command-line tool which makes it very easy for mere mortals to view,
 convert, transform, and analyze traces.
 .
 This package contains the "babeltrace2" command line tool.

Package: libbabeltrace2-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libbabeltrace2-python-plugin-provider
Description: Babeltrace2 library and plugins
 The Babeltrace 2 project offers a library with a C API, Python 3 bindings,
 and a command-line tool which makes it very easy for mere mortals to view,
 convert, transform, and analyze traces.
 .
 This package provides the libbabeltrace2 library and plugin system to view,
 convert, transform, and analyze traces.

Package: libbabeltrace2-python-plugin-provider
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libbabeltrace2-0 (= ${binary:Version})
Recommends: python3-bt2 (= ${binary:Version})
Description: Babeltrace2 Python plugin provider
 The Babeltrace 2 project offers a library with a C API, Python 3 bindings,
 and a command-line tool which makes it very easy for mere mortals to view,
 convert, transform, and analyze traces.
 .
 This package provides the libbabeltrace2 Python plugin provider.

Package: libbabeltrace2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libbabeltrace2-0 (= ${binary:Version})
Description: Babeltrace2 development files
 The Babeltrace 2 project offers a library with a C API, Python 3 bindings,
 and a command-line tool which makes it very easy for mere mortals to view,
 convert, transform, and analyze traces.
 .
 This package provides the development headers for linking applications against
 libbabeltrace2.

Package: python3-bt2
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libbabeltrace2-0 (= ${binary:Version})
Description: Babeltrace2 Python 3 bindings
 The Babeltrace 2 project offers a library with a C API, Python 3 bindings,
 and a command-line tool which makes it very easy for mere mortals to view,
 convert, transform, and analyze traces.
 .
 This package provides Python 3 bindings for libbabeltrace2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DISTSETUPOPTS="--install-layout=deb"

PY3V := $(shell py3versions -vr)

%:
	dh $@  --with autoreconf,python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-python-bindings --enable-python-plugins \
		--disable-Werror

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install
	rm -f "$(CURDIR)/debian/tmp/usr/lib/*/babeltrace2/plugins/*.a"
	for pv in $(PY3V); do \
	  PYTHON=python$${pv} PYTHON_CONFIG=python$${pv}-config \
	    dh_auto_configure -- --enable-python-bindings --enable-python-plugins \
	      --disable-Werror; \
	  cd src/bindings/python; \
	  make clean; \
	  make install DESTDIR="$(CURDIR)/debian/tmp"; \
	  cd "$(CURDIR)"; \
	done

# The plugins included with the library are not part of the ABI
override_dh_makeshlibs:
	dh_makeshlibs -Xbabeltrace-plugin

## babeltrace2 2.0.5

=== debian/changelog ===
babeltrace2 (2.0.5-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:42:04 +0000

babeltrace2 (2.0.5-3build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:11:57 +0100

babeltrace2 (2.0.5-3) unstable; urgency=medium

  * [67aec63] Fix Python 3.12 ftbfs (Closes: #1061377)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 23 Jan 2024 15:58:14 -0500

babeltrace2 (2.0.5-2) unstable; urgency=medium

  * [007c180] Clean python files (Closes: #1044129)
  * [17014bd] Update salsa-ci config

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 17 Oct 2023 15:56:58 -0400

babeltrace2 (2.0.5-1) unstable; urgency=medium

  [ Jenkins ]
  * [12c83e9] Drop unnecessary dependency on dh-autoreconf.
  * [d805005] Use correct machine-readable copyright file URI.
  * [aec83b9] Add upstream/metadata file
  * [df371a7] Update standards version to 4.6.1.0, no changes needed.

  [ Michael Jeanson ]
  * [1c68fd9] Add source lintian-overrides
  * [864756e] d/watch: Bump to version 4
  * [4d98215] Update debian copyright
  * [62ebca2] New upstream version 2.0.5

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 16:29:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: babeltrace2
 Section: libs
 Priority: optional
-Maintainer: Michael Jeanson <mjeanson@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
@@ -14,7 +15,7 @@
  python3-all-dev,
  swig (>= 3.0),
  xmlto
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1.0
 Vcs-Git: https://salsa.debian.org/debian/babeltrace2.git
 Vcs-Browser: https://salsa.debian.org/debian/babeltrace2
 Homepage: https://www.efficios.com/babeltrace

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PY3V := $(shell py3versions -vr)
 
 %:
-	dh $@  --with autoreconf,python3
+	dh $@  --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-python-bindings --enable-python-plugins \
@@ -32,3 +32,7 @@
 # The plugins included with the library are not part of the ABI
 override_dh_makeshlibs:
 	dh_makeshlibs -Xbabeltrace-plugin
+
+override_dh_clean:
+	py3clean tests
+	dh_clean

## babeltrace2 2.0.6

=== debian/changelog ===
babeltrace2 (2.0.6-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:58 +0100

babeltrace2 (2.0.6-2) unstable; urgency=medium

  * [ff96530] Add python3-setuptools build-depends (Closes: #1080547)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 09 Sep 2024 14:09:40 -0400

babeltrace2 (2.0.6-1) unstable; urgency=medium

  * [0faef51] New upstream version 2.0.6
  * [53f98d7] Drop patches merged upstream in 2.0.6
  * [1e986fe] Add Kienan Stewart as a co-maintainer

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 31 Mar 2024 16:10:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: babeltrace2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Jeanson <mjeanson@debian.org>
-Uploaders: Jon Bernard <jbernard@debian.org>
+Maintainer: Michael Jeanson <mjeanson@debian.org>
+Uploaders: Kienan Stewart <kienan.stewart@burntworld.ca>,
+ Jon Bernard <jbernard@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
@@ -13,6 +13,7 @@
  libelf-dev (>= 0.154),
  libglib2.0-dev (>= 2.28),
  python3-all-dev,
+ python3-setuptools,
  swig (>= 3.0),
  xmlto
 Standards-Version: 4.6.1.0

## babeltrace2 2.1.0

=== tests/data/plugins/flt.lttng-utils.debug-info/Makefile ===
BUILD_ID_PREFIX=cd
BUILD_ID_SUFFIX=d98cdd87f7fe64c13b6daad553987eafd40cbb
BUILD_ID=$(BUILD_ID_PREFIX)$(BUILD_ID_SUFFIX)

BUILD_DIR ?= build

OBJS=$(BUILD_DIR)/dwarf-full/libhello-so \
     $(BUILD_DIR)/elf-only/libhello-so \
     $(BUILD_DIR)/build-id/libhello-so \
     $(BUILD_DIR)/debug-link/libhello-so

all: $(OBJS)

%.o: %.c
	$(CC) -gdwarf -fdebug-prefix-map=$(CURDIR)=. -fPIC -c -I. -o $@ $<

# Master copy: ELF with DWARF and build-id
$(BUILD_DIR)/dwarf-full/libhello-so: tp.o libhello.o
	mkdir -p $(@D)
	$(CC) -shared -gdwarf -llttng-ust -ldl -Wl,-soname,libhello.so -Wl,--build-id=0x$(BUILD_ID) -o $@ $^

# ELF only, no debug symbols, no build-d
$(BUILD_DIR)/elf-only/libhello-so: $(BUILD_DIR)/dwarf-full/libhello-so
	mkdir -p $(@D)
	objcopy -g $< $@.tmp
	objcopy --remove-section=.note.gnu.build-id $@.tmp
	mv $@.tmp $@

# ELF with external build-id DWARF
$(BUILD_DIR)/build-id/libhello-so: $(BUILD_DIR)/dwarf-full/libhello-so
	mkdir -p $(@D)/.build-id/$(BUILD_ID_PREFIX)
	objcopy --only-keep-debug $< $(@D)/.build-id/$(BUILD_ID_PREFIX)/$(BUILD_ID_SUFFIX).debug
	objcopy -g $< $@

# ELF with external debug link DWARF
$(BUILD_DIR)/debug-link/libhello-so: $(BUILD_DIR)/dwarf-full/libhello-so
	mkdir -p $(@D)
	objcopy --remove-section=.note.gnu.build-id $< $@.tmp
	objcopy --only-keep-debug $@.tmp $(@D)/libhello-so.debug
	objcopy -g $@.tmp
	cd $(@D) && objcopy --add-gnu-debuglink=libhello-so.debug $(@F).tmp
	mv $@.tmp $@

clean:
	rm -f *.o

dist-clean: clean
	rm -rf $(BUILD_DIR)

.PHONY: all clean dist-clean

=== debian/changelog ===
babeltrace2 (2.1.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:54:56 +0000

babeltrace2 (2.1.0-2) unstable; urgency=medium

  * [1aa885b] Fix build of bt2 native extension for each python3 version
  * [3d58719] Add missing ctf-writer headers to dev package
  * [02143eb] Fix not-installed warnings

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 24 Jan 2025 12:12:47 -0500

babeltrace2 (2.1.0-1) unstable; urgency=medium

  * [ab2976f] New upstream version 2.1.0
  * [de3c083] Drop patches merged upstream
  * [060a56e] Update upstream signing key
  * [cd53735] Update symbols for 2.1.0
  * [02651a0] Update d/copyright for 2.1.0
  * [c139b9d] Add patch to fix build without flex
  * [6ded4fd] Add patch to export missing symbol
  * [b10daf2] Update lintian overrides
  * [d290d41] Bump standards to 4.7.0
  * [ccda4b8] Move to debhelper 12

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 23 Jan 2025 16:04:53 -0500

babeltrace2 (2.0.6-3) unstable; urgency=medium

  * [5c9920d] Add patch for swig 4.3.0 support (Closes: #1091134)

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Jan 2025 12:32:48 -0500

## babeltrace2 2.1.1

=== debian/changelog ===
babeltrace2 (2.1.1-1) unstable; urgency=medium

  * [7742db1] New upstream version 2.1.1
  * [b3a62a2] Drop patches merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 17:18:48 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  libdw-dev (>= 0.154),
  libelf-dev (>= 0.154),
@@ -16,7 +16,7 @@
  python3-setuptools,
  swig (>= 3.0),
  xmlto
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/babeltrace2.git
 Vcs-Browser: https://salsa.debian.org/debian/babeltrace2
 Homepage: https://www.efficios.com/babeltrace

## babeltrace2 2.1.2

=== debian/changelog ===
babeltrace2 (2.1.2-1) unstable; urgency=medium

  * [9770535] New upstream version 2.1.2
  * [35eb311] Update upstream signing key
  * [5ecd5db] Move to debhelper 13
  * [a23e36f] Bump standards version to 4.7.2

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 11:47:24 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libdw-dev (>= 0.154),
  libelf-dev (>= 0.154),
@@ -16,7 +16,7 @@
  python3-setuptools,
  swig (>= 3.0),
  xmlto
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/babeltrace2.git
 Vcs-Browser: https://salsa.debian.org/debian/babeltrace2
 Homepage: https://www.efficios.com/babeltrace

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	  PYTHON=python$${pv} PYTHON_CONFIG=python$${pv}-config \
 	    dh_auto_configure -- --enable-python-bindings --enable-python-plugins \
 	      --disable-Werror; \
-	  cd src/bindings/python; \
+	  cd src/bindings/python/bt2; \
 	  make clean; \
 	  make install DESTDIR="$(CURDIR)/debian/tmp"; \
 	  cd "$(CURDIR)"; \

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://www.efficios.com/files/babeltrace/babeltrace2-([\d\.]*)\.tar\.(?:gz|bz2)
